LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSimpleMailClient Interface Referencepublished

Specifies an interface for creating and sending email messages. More...

`import"XSimpleMailClient.idl";`

Inheritance diagram for XSimpleMailClient:

## Public Member Functions
XSimpleMailMessage | createSimpleMailMessage ()
| Create a simple mail message object that implements the interface XSimpleMailMessage. More...
void | sendSimpleMailMessage ([in] XSimpleMailMessage xSimpleMailMessage, [in] long aFlag) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::uno::Exception )
| Sends a given simple mail message object that implements the interface XSimpleMailMessage. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Specifies an interface for creating and sending email messages.

## Member Function Documentation

## ◆ createSimpleMailMessage()

XSimpleMailMessage createSimpleMailMessage | ( |  | ) |

Create a simple mail message object that implements the interface XSimpleMailMessage.

Returns
  An object that implements the XSimpleMailMessage interface.

## ◆ sendSimpleMailMessage()

void sendSimpleMailMessage | ( | [in] XSimpleMailMessage | xSimpleMailMessage,
|  | [in] long | aFlag
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::uno::Exception
| ) |  |

Sends a given simple mail message object that implements the interface XSimpleMailMessage.

Parameters

  xSimpleMailMessage | Specifies a configured mail object to be sent.
  aFlag | Specifies different flags that control the send process if the flag NO_USER_INTERFACE is specified. A recipient address must have been specified for the given xMailMessage object.

Exceptions

  com::sun::star::lang::IllegalArgumentException | If invalid or excluding flags have been specified. The flag NO_USER_INTERFACE is specified and no recipient address has been specified for the given xSimpleMailMessage object. The parameter xSimpleMailMessage is NULL.
  com::sun::star::uno::Exception | if an error occurs while sending the mail.

The Message member of the exception may contain an error description.

See also
  com::sun::star::system::XSimpleMailMessage
  com::sun::star::system::SimpleMailClientFlags

The documentation for this interface was generated from the following file:

- com/sun/star/system/XSimpleMailClient.idl